## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate gsk4

Name:           rust-gsk4
Version:        0.8.2
Release:        %autorelease
Summary:        Rust bindings of the GSK 4 library

License:        MIT
URL:            https://crates.io/crates/gsk4
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings of the GSK 4 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+broadway-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+broadway-devel %{_description}

This package contains library source intended for building other packages which
use the "broadway" feature of the "%{crate}" crate.

%files       -n %{name}+broadway-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_10-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v4_10-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_10" feature of the "%{crate}" crate.

%files       -n %{name}+v4_10-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_14-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v4_14-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_14" feature of the "%{crate}" crate.

%files       -n %{name}+v4_14-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v4_2-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_2" feature of the "%{crate}" crate.

%files       -n %{name}+v4_2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_4-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v4_4-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_4" feature of the "%{crate}" crate.

%files       -n %{name}+v4_4-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_6-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v4_6-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_6" feature of the "%{crate}" crate.

%files       -n %{name}+v4_6-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vulkan-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vulkan-devel %{_description}

This package contains library source intended for building other packages which
use the "vulkan" feature of the "%{crate}" crate.

%files       -n %{name}+vulkan-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed May 08 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2; Fixes RHBZ#2277364

* Tue Mar 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-1
- Update to version 0.8.1; Fixes RHBZ#2262628

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.3-1
- Update to version 0.7.3; Fixes RHBZ#2240344

* Sat Aug 12 2023 Kalev Lember <klember@redhat.com> - 0.7.2-1
- Update to version 0.7.2; Fixes RHBZ#2231643

* Fri Aug 11 2023 Kalev Lember <klember@redhat.com> - 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2224890

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.3-1
- Update to version 0.6.3; Fixes RHBZ#2168314

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5; Fixes RHBZ#2150839

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2; Fixes RHBZ#2136114

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.8-1
- Update to version 0.4.8; Fixes RHBZ#2093621

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.7-1
- Update to version 0.4.7; Fixes RHBZ#2066063

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-1
- Update to version 0.4.6; Fixes RHBZ#2040901

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 07 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.3.1-1
- Update to version 0.3.1; Fixes RHBZ#2006436

* Mon Aug 09 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.2.0-1
- Initial import; Fixes RHBZ#1977118
## END: Generated by rpmautospec
